//
//  RootViewController.h
//  FilesystemExplorer
//
//  Created by Chris Adamson on 11/4/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>



@interface DirectoryViewController : UITableViewController < UIActionSheetDelegate> {
	NSString *directoryPath;
	NSArray *directoryContents;
}

//START:code.FilesystemExplorer.directorypathpropertydeclaration
@property (nonatomic, retain) NSString *directoryPath;
//END:code.FilesystemExplorer.directorypathpropertydeclaration

- (void)createNewFile;
- (void)createNewDirectory;
- (void)loadDirectoryContents;

@end
